[Résolu] Package ne s'installe pas…..



  • Bonjour,
    désolé de polluer aussi souvent le forum avec des questions bizarres…...
    Mon pfSense fonctionne très bien (je suis en amd64 sur une compactflash), mais je n'arrive pas à installer des packages.
    J'aurai voulu voir ce que donnait squid pour filtrer les flux de mes gamins, mais je n'arrive pas à l'installer.
    Lorsque je sélectionne une version (stable ou dev), il commence à télécharger le pbi (d'ailleurs, c'est 30 fois plus long que quand je fais un wget sur ma bécane) lance l'extraction et puis plus rien.
    Dans les logs, je n'ai que ça :

    
    Feb 17 21:47:35 pfSense php: /pkg_mgr_install.php: Beginning package installation for squid3 .
    
    

    Est-ce que j'aurai oublié quelque chose ? j'ai basculé le FS en rw, en me disant que ce serait étonnant que l'interface ne le fasse pas d'elle même…. mais ça n'a rien changé.....
    Et je n'ai pas encore vu l'ombre d'un menu "Proxy server" dans les services....
    Suis preneur de tout tuyau sur le truc....
    Merci d'avance.
    JFG



  • Hello,

    Alors vite fait comme ça je pense que si tu installes pfSense sur un compactflash le système de fichier est en read only :

    https://doc.pfsense.org/index.php/Installing_pfSense > Embedded > Special Information :

    • Read-only filesystem due to limited write cycles of flash media, will only be mounted to write the configuration file or for small, infrequent alterations.
    • Package support starting with NanoBSD-based images for pfSense 1.2.3 and newer. Only for packages which have been altered to work with limited writes.

    Et comme le dit le 2eme point squid effectue beaucoup d’écriture pour son cache.
    C'est donc une très mauvaise idée d'installer squid sur une  compactflash.

    Ça peut expliquer tes problèmes …

    Tchô



  • Hello,
    merci pour ta réponse !
    Avec un disque, ça va vachement mieux….
    Il y a en effet des limitations drastiques sur les systèmes embedded.....
    Merci encore !
    JFG